summary refs log tree commit diff
path: root/x11-wm
diff options
context:
space:
mode:
authorAzat Bahawi <azahi@teknik.io>2020-08-17 18:43:06 +0300
committerAzat Bahawi <azahi@teknik.io>2020-08-17 18:43:06 +0300
commitdd91f7be6f3a6633a9cfd3d261007bd2ac053f41 (patch)
tree6b054a7c6133962f4a9df179181c390c269dc03f /x11-wm
parentx11-wm/9wm: Add package (diff)
X11-wm/2bwm: Fix QA, docs
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/2bwm/2bwm-0.3-r1.ebuild (renamed from x11-wm/2bwm/2bwm-0.3.ebuild)18
-rw-r--r--x11-wm/2bwm/2bwm-9999-r1.ebuild (renamed from x11-wm/2bwm/2bwm-9999.ebuild)18
2 files changed, 28 insertions, 8 deletions
diff --git a/x11-wm/2bwm/2bwm-0.3.ebuild b/x11-wm/2bwm/2bwm-0.3-r1.ebuild
index 51d6f46..0f4c97e 100644
--- a/x11-wm/2bwm/2bwm-0.3.ebuild
+++ b/x11-wm/2bwm/2bwm-0.3-r1.ebuild
@@ -5,12 +5,12 @@ EAPI=7
 
 if [[ ${PV} == *9999 ]]; then
 	SCM="git-r3"
-	EGIT_REPO_URI="https://github.com/venam/2bwm"
+	EGIT_REPO_URI="https://github.com/venam/2bwm.git"
 fi
 
 inherit savedconfig ${SCM}
 
-DESCRIPTION="A fast floating WM written over the XCB library and derived from mcwm."
+DESCRIPTION="A fast floating WM written over the XCB library and derived from mcwm"
 HOMEPAGE="https://github.com/venam/2bwm"
 
 if [[ ${PV} == *9999 ]]; then
@@ -25,7 +25,8 @@ LICENSE="ISC"
 SLOT="0"
 IUSE=""
 
-DEPEND="x11-libs/xcb-util
+DEPEND="
+	x11-libs/xcb-util
 	x11-libs/xcb-util-renderutil
 	x11-libs/xcb-util-wm
 	x11-libs/xcb-util-xrm
@@ -33,11 +34,20 @@ DEPEND="x11-libs/xcb-util
 RDEPEND="${DEPEND}"
 BDEPEND=""
 
+DOCS=( README.md )
+
+src_prepare() {
+	sed -e 's/-Os -s//g' -i Makefile || die
+	default
+}
+
 src_compile() {
 	restore_config config.h
+	default
 }
 
 src_install() {
-	emake DESTDIR="${D}" PREFIX=/usr install
 	save_config config.h
+	emake DESTDIR="${D}" PREFIX=/usr install
+	einstalldocs
 }
diff --git a/x11-wm/2bwm/2bwm-9999.ebuild b/x11-wm/2bwm/2bwm-9999-r1.ebuild
index 51d6f46..0f4c97e 100644
--- a/x11-wm/2bwm/2bwm-9999.ebuild
+++ b/x11-wm/2bwm/2bwm-9999-r1.ebuild
@@ -5,12 +5,12 @@ EAPI=7
 
 if [[ ${PV} == *9999 ]]; then
 	SCM="git-r3"
-	EGIT_REPO_URI="https://github.com/venam/2bwm"
+	EGIT_REPO_URI="https://github.com/venam/2bwm.git"
 fi
 
 inherit savedconfig ${SCM}
 
-DESCRIPTION="A fast floating WM written over the XCB library and derived from mcwm."
+DESCRIPTION="A fast floating WM written over the XCB library and derived from mcwm"
 HOMEPAGE="https://github.com/venam/2bwm"
 
 if [[ ${PV} == *9999 ]]; then
@@ -25,7 +25,8 @@ LICENSE="ISC"
 SLOT="0"
 IUSE=""
 
-DEPEND="x11-libs/xcb-util
+DEPEND="
+	x11-libs/xcb-util
 	x11-libs/xcb-util-renderutil
 	x11-libs/xcb-util-wm
 	x11-libs/xcb-util-xrm
@@ -33,11 +34,20 @@ DEPEND="x11-libs/xcb-util
 RDEPEND="${DEPEND}"
 BDEPEND=""
 
+DOCS=( README.md )
+
+src_prepare() {
+	sed -e 's/-Os -s//g' -i Makefile || die
+	default
+}
+
 src_compile() {
 	restore_config config.h
+	default
 }
 
 src_install() {
-	emake DESTDIR="${D}" PREFIX=/usr install
 	save_config config.h
+	emake DESTDIR="${D}" PREFIX=/usr install
+	einstalldocs
 }

Consider giving Nix/NixOS a try! <3